Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.svn
Class SvnRepository

    java.lang.Object
      org.modeshape.graph.connector.base.Repository<PathNode,SvnWorkspace>
          org.modeshape.connector.svn.SvnRepository

    public class SvnRepository

extends Repository<PathNode,SvnWorkspace>

Field Summary
`protected SvnRepositorySource` | `source`

Fields inherited from class org.modeshape.graph.connector.base.Repository
`context, rootNodeUuid`

Constructor Summary
`SvnRepository(SvnRepositorySource source)`

Method Summary
`protected org.tmatesoft.svn.core.io.SVNRepository` | `getWorkspaceDirectory(String workspaceName)`
`org.modeshape.connector.svn.SvnRepository.SvnTransaction` | `startTransaction(ExecutionContext context, boolean readonly)` Begin a transaction, hinting whether the transaction will be used only to read the content.

Methods inherited from class org.modeshape.graph.connector.base.Repository
`createRequestProcessor, createWorkspace, destroyWorkspace, getContext, getDefaultWorkspaceName, getRootNodeUuid, getSourceName, getWorkspace, getWorkspaceNames, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    protected final SvnRepositorySource source

Constructor Detail

### SvnRepository

    public SvnRepository(SvnRepositorySource source)

Method Detail

### startTransaction

    public org.modeshape.connector.svn.SvnRepository.SvnTransaction startTransaction(ExecutionContext context,
                                                                                     boolean readonly)

  Description copied from class: `Repository`
  Begin a transaction, hinting whether the transaction will be used only to read the content. If this is called, then the transaction must be either `committed` or `rolled back`.

  Specified by:
    `startTransaction` in class `Repository<PathNode,SvnWorkspace>`
  Parameters:
    `context` - the context in which the transaction is to be performed; may not be null
    `readonly` - true if the transaction will not modify any content, or false if changes are to be made
  Returns:
    the transaction; never null
  See Also:
    `Transaction.commit()`, `Transaction.rollback()`

### getWorkspaceDirectory

    protected org.tmatesoft.svn.core.io.SVNRepository getWorkspaceDirectory(String workspaceName)
                                                                     throws org.tmatesoft.svn.core.SVNException

  Throws:
    `org.tmatesoft.svn.core.SVNException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.